Cacti auth_login.php SQL Injection

2004-08-18T11:47:17
ID OSVDB:8989
Type osvdb
Reporter Fernando Quintero(nando@altred.net)
Modified 2004-08-18T11:47:17

Description

Vulnerability Description

Cacti contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the username and password variables in the auth_login.php module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Solution Description

Upgrade to version 0.8.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Cacti contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the username and password variables in the auth_login.php module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

References:

Vendor URL: http://www.raxnet.net/products/cacti/ Vendor Specific Advisory URL Security Tracker: 1010961 Secunia Advisory ID:12308 Mail List Post: http://archives.neohapsis.com/archives/fulldisclosure/2004-08/0717.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2004-08/0223.html Keyword: RaXnet Keyword: rrdtool ISS X-Force ID: 17011 CVE-2004-1737 Bugtraq ID: 10960